glibmm: Glib::VariantParseError Class Reference

glibmm 2.38.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::VariantParseError Class Reference

Exception class for Variant parse errors. More...

`#include <glibmm/variant.h>`

Inheritance diagram for Glib::VariantParseError:
[legend]

## Public Types
enum | Code { FAILED, BASIC_TYPE_EXPECTED, CANNOT_INFER_TYPE, DEFINITE_TYPE_EXPECTED, INPUT_NOT_AT_END, INVALID_CHARACTER, INVALID_FORMAT_STRING, INVALID_OBJECT_PATH, INVALID_SIGNATURE, INVALID_TYPE_STRING, NO_COMMON_TYPE, NUMBER_OUT_OF_RANGE, NUMBER_TOO_BIG, TYPE_ERROR, UNEXPECTED_TOKEN, UNKNOWN_KEYWORD, UNTERMINATED_STRING_CONSTANT, VALUE_EXPECTED }

## Public Member Functions
| VariantParseError (Code error_code, const Glib::ustring& error_message)
| VariantParseError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0 throw ()

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for Variant parse errors.

## Member Enumeration Documentation

enum Glib::VariantParseError::Code

Enumerator
FAILED |
BASIC_TYPE_EXPECTED |
CANNOT_INFER_TYPE |
DEFINITE_TYPE_EXPECTED |
INPUT_NOT_AT_END |
INVALID_CHARACTER |
INVALID_FORMAT_STRING |
INVALID_OBJECT_PATH |
INVALID_SIGNATURE |
INVALID_TYPE_STRING |
NO_COMMON_TYPE |
NUMBER_OUT_OF_RANGE |
NUMBER_TOO_BIG |
TYPE_ERROR |
UNEXPECTED_TOKEN |
UNKNOWN_KEYWORD |
UNTERMINATED_STRING_CONSTANT |
VALUE_EXPECTED |

## Constructor & Destructor Documentation

Glib::VariantParseError::VariantParseError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::VariantParseError::VariantParseError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Glib::VariantParseError::code | ( |  | ) | const